chevron-thin-right chevron-thin-left brand cancel-circle search youtube-icon google-plus-icon linkedin-icon facebook-icon twitter-icon toolbox download check linkedin phone twitter-old google-plus facebook profile-male chat calendar profile-male
Welcome to Typemock Community! Here you can ask and receive answers from other community members. If you liked or disliked an answer or thread: react with an up- or downvote.
0 votes
When running test using Gallio (3.1.313) and TypeMock higher than 5.2.3 on an x64 build server the test run fails to start with the error: "Gallio.Runtime.RuntimeException: Could not resolve instance of component 'MbUnit.TestFramework'. ---> Gallio.Runtime.RuntimeException: Could not resolve the component handler of component 'MbUnit.TestFramework'. ---> Gallio.Runtime.RuntimeException: Could not resolve the component type of component 'MbUnit.TestFramework'. ---> Gallio.Common.Reflection.ReflectionResolveException: Could not resolve type 'MbUnit.Core.MbUnitTestFramework, MbUnit'. ---> System.AccessViolationException: Attempted to read or write protected memory. This is often an indication that other memory is corrupt."

I have tried with 5.3.4 and 5.3.5 and both cause the failure, while 5.2.3 work fine.

This is a known limitation it seems (http://groups.google.com/group/gallio-user/browse_thread/thread/16b559d4e613d912?hl=en) and I wonder if this is something you are going to fix soon in a coming release (5.3.6?).

PS!
When we are on the topic of TypeMock and x64, what is the status of the EntLib incompatibility (https://www.typemock.com/community/viewtopic.php?t=1079)? I am also struggling with this, but this not as important since it has a workaround by forcing tmockrunner, gallio.echo and gallio.host to run in 32bit mode.
asked by halstein (8.7k points)

3 Answers

0 votes
5.3.1 works as well. That means only 5.3.4 and 5.3.5 is broken.
answered by halstein (8.7k points)
0 votes
Thanks for the extra info - this is pretty valuable. I'll look into this and get back to you.

Thanks,
Doron
Typemock Support
answered by doron (16.5k points)
0 votes
Works with 5.4.4. Case closed.
answered by halstein (8.7k points)
...